<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('appointments', function (Blueprint $table) {
            $table->text("agent_call_token")->nullable();
            $table->text("patient_call_token")->nullable();
        });
        Schema::table('doctor_appointments', function (Blueprint $table) {
            $table->text("doctor_call_token")->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('appointments', function (Blueprint $table) {
            $table->dropColumn("agent_call_token");
            $table->dropColumn("patient_call_token");
        });
        Schema::table('doctor_appointments', function (Blueprint $table) {
            $table->dropColumn("doctor_call_token");
        });
    }
};
